// SNMP JS functions

function startSnmpQuery(btn) {

	btn.disabled = true;

	var loading_msg = Ext.get('snmp_query_loading_msg');
	
	var box = Ext.get('snmp_query_result');
	box.dom.style.display = 'block';
	box.dom.innerHTML = loading_msg.dom.innerHTML;
	
	var method = Ext.get('snmp_method').dom;
	
	var opt = new Object();
	opt.host = Ext.util.JSON.decode(Ext.get('host_obj').dom.innerHTML);
	opt.method = method.options[method.selectedIndex].value;
	
	var URL = "/opmon/opcfg/snmp.php?action=start_snmp_query";
	Ext.Ajax.request({
		url: URL,
		method: 'post',
		timeout: 120000,
		params: { opt: Ext.util.JSON.encode(opt) },
		success:	function( result, request ) {
			
			// Update snmp query log
			Ext.get('snmp_query_result').dom.innerHTML = result.responseText;
			
			// Re-enable button
			btn.disabled = false;
			
		},
		failure:	function( response, opt ) {
			alert("Connection timeout!");
			btn.disabled = false;
			box.dom.style.display = 'none';
		}
	});

}

function addInputText(el,name) {
	
	var str = '';
	if (el.childNodes.length>1) {
		var text = el.childNodes[0].data;
		var img = el.childNodes[1];
		str = '<input type="text" name="interfaces[\'' + name + '\'][custom_ifDescr]" value="' + text + '">';
		el.innerHTML = str;
		el.appendChild(img);
	} else {
		str = '<input type="text" name="interfaces[\'' + name + '\'][custom_ifDescr]" value="' + el.innerHTML + '">';
		el.innerHTML = str;
	}
	
	// Remove event
	el.onclick = null;
}

function fixIfNames() {

	var aTmp = new Array();
	aTmp = Ext.query('.op-ifname');
	for( var i = 0; i<aTmp.length;i++ ) {
		var input = aTmp[i];
		input.value = changeCharCode(input.value);
	}

	return true;
}

function updateDescription(img,ifname,value,event) {
	
	var root = img.parentNode;
	root.innerHTML = value;
	
	var el = document.getElementsByName("interfaces['" + ifname + "'][ifDescr]")[0];
	el.value = value;
	
	// Stop event propagation
	if (!event)
		event = window.event;
	if (event.cancelBubble)
		event.cancelBubble = true;
	else
		event.stopPropagation();

	
}

function checkUncheckAll(btn) {
	
	var flag = false;
	if (btn.value == 'Check All') {
		flag = true;
		btn.value = 'Uncheck All';
	} else {
		btn.value = 'Check All';
	}
	
	var aTmp = new Array();
	aTmp = Ext.query('.op-check');
	for( var i = 0; i<aTmp.length;i++ ) {
		var cbox = aTmp[i];
		cbox.checked = flag;
	}

	return true;
	
}

/*function startExport() {

	var cbox = Ext.get('export_full');
	var export_level = 0;
	if (cbox.dom.checked)
		export_level = 1;
	
	var URL = "/opmon/opcfg/ajax_export.php?action=start_export";
	Ext.Ajax.request({
		url: URL,
		method: 'post',
		params: { full: export_level },
		success:	function( result, request ) {
			alert(result.responseText);
			checkRunningExport();
		}
	});

}

function checkRunningExport(schedule) {
	
	//---------------------------------------
	schedule = schedule || false;
	if (schedule)
		setInterval('checkRunningExport()', 4000);
	//---------------------------------------
	
	var URL = "/opmon/opcfg/ajax_export.php?action=check_running_export";
	Ext.Ajax.request({
		url: URL,
		method: 'post',
		success:	function( result, request ) {
			var obj = Ext.util.JSON.decode(result.responseText);
			
			// Export running
			if (obj.running) {
				Ext.get('current_status').dom.innerHTML = 'Running...';
				Ext.get('loader').dom.style.display = 'block';
				Ext.get('export_button').dom.disabled = true;
			} else {
				Ext.get('current_status').dom.innerHTML = 'Not Running';
				Ext.get('loader').dom.style.display = 'none';
				Ext.get('export_button').dom.disabled = false;
			}
			
			Ext.get('log_output').dom.innerHTML = obj.log;
		
		}
	});
}*/
