Ext.BLANK_IMAGE_URL = '/opmon/oplib/libjs/extjs/resources/images/gray/s.gif';

/**
 * global stuff
 */
var cardWizard;
var cookie;

/**
 * function to handle cards change
 */
var cardNav = function(incr){

	var l = cardWizard.getLayout();
	
	var i = l.activeItem.id.split('card-')[1];	
	var next = parseInt(i, 10) + incr;
	
	ret = validateCardExchange(i,next);
	if (!ret) {
		return false;
	}
	
	l.setActiveItem(next);

	Ext.getCmp('card-prev').setDisabled(next==0);
	Ext.getCmp('card-next').setDisabled(next==cardWizard.items.length-1);
	
			
};

/**
 * call the appropriate function
 * to validate input fields and
 * dispatch background events 
 * when needed
 */
function validateCardExchange(from,to) {

	if (from > to)
		return true;
	
	switch(parseFloat(from)) {
	
	case 0:
		return validate_card_0();
	
	case 1:
		var r = validate_card_1();
		if (r && cookie.type != 'website' && cookie.type != 'copy') {
			dispatch_background_scan(cookie.request_type);
		}
		return r;

	case 2:
		return validate_card_2();

	case 3:
		return validate_card_3();
		
	default:
		return false;
	
	}

}



/**
 * here we gonna make our request 
 * to scan the target server
 */
function dispatch_background_scan(kinda) {


	if (cookie.request_type == 'copy' && cookie.request_type == 'website') {
		// we are not supposed to be here anyway
		return false;
	}

	if (cookie.request_type == 'snmp' && cookie.community == "") {
		// empty community? seriously?
		cookie.community = "public";
	}

	Ext.Ajax.request({
		url: '/opmon/seagull/www/index.php/opcfgwizard/action/do_scan',
		params: {
			data: Ext.util.JSON.encode(cookie)
		},
		method: 'POST',
		success: function(result, operation) {
			
			Ext.get('services-list').dom.innerHTML = result.responseText;


		},
		failure: function(result, operation) {
		
			Ext.get('services-list').dom.innerHTML = result.responseText;
			
		}
	});

}

/**
 * return all screens for wizard, 
 * here, these screens are called
 * as cards
 */
function getCards() {

	var i = 0;
	var cards = new Array();
	
	Ext.each(Ext.query('*[id^=card-]'), function( item ) {

		var o = {
			id: "card-"+i,
			contentEl: "card-"+i
		};
		
		cards[i] = o;
		i++;
		

	});

	return cards;

}

Ext.onReady(function() {
	
	cookie = get_cookie();
	if (cookie == null) {
		cookie = {}
		store_cookie(cookie);		
	}
	
	
	cardWizard = new Ext.Window({
		closable: false,
		id: 'card-wizard-panel',
		width: '95%',
		height: '500',
		title: '',
		layout: {
			type: "card",
			//deferredRender: true,
			layoutOnCardChange: true,
		},
		//layout: 'card',
		activeItem: 0,
		//autoScroll: true,
		autoShow: true,
		border: true,
		shadow: false,
		resizable: false,
		draggable: false,
		defaults: {
			border:false
		},
		bbar: [ {
			id: 'card-prev',
			text: '&laquo; Voltar',
			handler: cardNav.createDelegate(this, [-1]),
			disabled: true
		},{
			id: 'card-next',
			text: 'Avançar &raquo;',
			handler: cardNav.createDelegate(this, [1]),
		}],
		items: getCards()
    });
		
	cardWizard.setPosition(2,2);
	cardWizard.show();
	
});


function get_cookie() {

	var c = Ext.util.Cookies.get(cname);
	if (c == null) {
		return c;
	}
	
	return Ext.decode(c);
}

function store_cookie(a) {
	Ext.util.Cookies.set(cname,Ext.encode(a));
}
